PUT api/prospects/search
Request Information
URI Parameters
None.
Body Parameters
ProspectSearchDto| Name | Description | Type | Additional information |
|---|---|---|---|
| IsNotStopped | boolean |
None. |
|
| HasNoFailedTelephone | boolean |
None. |
|
| HasNoFailedEmail | boolean |
None. |
|
| OrFilters | Collection of globally unique identifier |
None. |
|
| Products | Collection of globally unique identifier |
None. |
|
| Campaigns | Collection of globally unique identifier |
None. |
|
| NotReceivedMarketingInDays | integer |
None. |
|
| NotPutOrderInDays | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"isNotStopped": true,
"hasNoFailedTelephone": true,
"hasNoFailedEmail": true,
"orFilters": [
"4b2a919d-70cb-40de-b346-4790111b8302",
"0942a05e-7bde-4475-a61e-15b326bf0def"
],
"products": [
"ab5e61b7-e902-4762-821a-525aa1758523",
"3fe49b50-8482-4923-a75f-01e7e5ef4b0d"
],
"campaigns": [
"c58f4c94-d012-4fc1-9824-fc8c9c94fdba",
"3efc74e6-996a-4961-aa83-67547128347a"
],
"notReceivedMarketingInDays": 4,
"notPutOrderInDays": 5
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.